package com.bankaudit.dao;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.RiskScoreAuditGrp;

public interface RiskScoreAuditGrpDao extends  Dao {

	void deleteByLegalEntityCodeAndAuditTypeCode(Integer legalEntityCode, String auditTypeCode);

	DataTableResponse getRiskScoreAuditGrps(Integer legalEntityCode, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size);

	List<RiskScoreAuditGrp> getRiskScoreAuditGrp(Integer legalEntityCode, String auditGroupCode, String auditTypeCode);

	List<RiskScoreAuditGrp> getRiskScoreAuditGrpByLegalEntityCodeAndAuditTypeCode(int parseInt, String auditTypeCode,String status);

	Boolean isRiskScoreAuditGrp(Integer legalEntityCode, String auditTypeCode);

	void deleteRiskScoreAuditGrp(Integer legalEntityCode, String auditTypeCode, String statusUnauth);

}
